<?php
namespace Claromentis\Core\Http;

$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] ?: array()) + array("_781e2532c1e56969c535c1184064ba" . "e6" => base64_decode("b25Db3JlQm" . "9vdA=="), "_8ec8f26c" . "742278f90" . "615f50d68" . "2eea79" => base64_decode("UE9" . "TVA" . "=="), "_e6d18c4" . "93faa20d" . "5d45c075" . "1d2c02ce" . "6" => base64_decode("TG9jYXRpb246I" . "A=="), "_8fec21706bd243b37ecf62b1" . "caf8fb8a" => base64_decode("Y2x" . "p"), "_ab8b6a5b56b4cfd7" . "3230ed5cad4fb54c" => base64_decode("Y29yZS5ib290ZW" . "Q="), "_14feb73099827a30c31c0" . "b996c13f13c" => base64_decode("b25LZXJuZWxSZ" . "XF1ZXN0"), "_87daa84e346f6420a3f3426e" . "05d16a7b" => base64_decode("Lw=" . "="), "_4d707fab93b" . "ebb00bbe69e8" . "159697c90" => base64_decode(""), "_fad3a97fa7919b1999c977c8bdad92" . "5a" => base64_decode("c3ltZm9ueV9yZ" . "XF1ZXN0"), "_e06da3ffba2e84b8e6f94bd" . "2d6ca3c52" => base64_decode("Y3JlYXRlX2ludG" . "VybmFsX2xpbms="), "_2b2486424e6d" . "fb906c925739c" . "329be7c" => base64_decode("aGVh" . "ZGVy"), "_bd8510ebf29b0f687c25c90c740715" . "d8" => base64_decode("aHR0cF9" . "yZXNwb2" . "5zZV9jb" . "2Rl"), "_eea266d1da508f42deea49" . "cc3add68ec" => base64_decode("UF" . "VU"), "_c91b0ff" . "19f81a88" . "73a4593a" . "23719472" . "c" => base64_decode("cnRy" . "aW0="), "_db7b295629faa16027a2c26309" . "5eba70" => base64_decode("cGhwX3NhcGl" . "fbmFtZQ=="));
use Claromentis\Core\Application\Events\BootedEvent;
use Claromentis\Core\Event\EventSubscriberInterface;
use Symfony\Component\HttpKernel\Event\RequestEvent;
use Symfony\Component\HttpKernel\KernelEvents;





class CanonicalUrlRedirector implements EventSubscriberInterface
{
    protected $canonical_url;
    public function __construct($_504f0c1dde6057a1a55bea80963ef65c)
    {
        $this->canonical_url = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_c91b0ff19f81a8873a4593a2371" . "9472c"]($_504f0c1dde6057a1a55bea80963ef65c, $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_87daa84e346f6420a" . "3f3426e05d16a7b"]);
    }
    
    
    
    
    public static function getSubscribedEvents()
    {
        return array(KernelEvents::REQUEST => array($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_14feb73099827a30" . "c31c0b996c13f13c"], 1536), $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_ab8b6a5b56b4" . "cfd73230ed5ca" . "d4fb54c"] => $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_781e2532c1e5" . "6969c535c1184" . "064bae6"]);
    }
    
    
    
    
    
    
    public function onKernelRequest(RequestEvent $event)
    {
        if ($this->canonical_url == $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_4d707fab" . "93bebb00b" . "be69e8159" . "697c90"] || !$event->isMasterRequest()) {
            return;
        }
        $request = $event->getRequest();
        
        
        if ($request->getMethod() === $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_8ec8f26c742278f90615f50d682" . "eea79"] || $request->getMethod() === $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_eea266d1da508f42deea49cc" . "3add68ec"]) {
            return;
        }
        if (!$this->IsCanonicalUrl($request)) {
            $event->setResponse($this->BuildRedirectResponse($request));
        }
    }
    
    
    
    
    
    
    
    
    
    public function onCoreBoot(BootedEvent $event) : void
    {
        
        
        if ($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_db7b295629faa160" . "27a2c263095eba70"]() === $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_8fec21706bd243b37ecf6" . "2b1caf8fb8a"]) {
            return;
        }
        $app = $event->getApplication();
        
        
        
        
        
        
        $_0ce802ba864a6ec25741334b8e5097bc = $app[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_fad3a97fa791" . "9b1999c977c8b" . "dad925a"]];
        if ($_0ce802ba864a6ec25741334b8e5097bc && $this->SimpleCheckAndRedirect($_0ce802ba864a6ec25741334b8e5097bc)) {
            
            
            exit;
        }
    }
    protected function IsCanonicalUrl(\Symfony\Component\HttpFoundation\Request $request)
    {
        return $request->getSchemeAndHttpHost() == $this->canonical_url;
    }
    protected function BuildRedirectResponse(\Symfony\Component\HttpFoundation\Request $request)
    {
        $_c927258f5322288a992c77be40ae0b53 = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_e06da3ffba2e84b8e6f94bd2" . "d6ca3c52"]($request->getRequestUri());
        return new RedirectResponse($_c927258f5322288a992c77be40ae0b53, 301);
    }
    
    
    
    
    
    
    
    
    
    public function SimpleCheckAndRedirect(\Symfony\Component\HttpFoundation\Request $request)
    {
        if ($this->canonical_url != $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_4d707fab93bebb00bbe69e8" . "159697c90"] && !$this->IsCanonicalUrl($request)) {
            $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_bd8510ebf29b0f687c25c90c740715" . "d8"](301);
            $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_2b2486424e6df" . "b906c925739c32" . "9be7c"]($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_e6d18c493faa20d5d45c0" . "751d2c02ce6"] . $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_e06da3ffb" . "a2e84b8e6f" . "94bd2d6ca3" . "c52"]($request->getRequestUri()));
            return true;
        }
        return false;
    }
}